	block data uvini
	double precision mudim, delta
	common /uvpara/ mudim, delta
	data mudim /1/
	data delta /0/
	end


	subroutine A0(res, m)
	implicit none
	double complex res
	double precision m

	double precision mudim, delta
	common /uvpara/ mudim, delta

	external uvini

	if( m .eq. 0 ) then
	  res = 0
	else
	  res = m*(1 - log(m/mudim) + delta)
	endif
	end

